Subject: (radius) questions about RFC 2138

From: ßN·¬ <[email-masked]>
Date: Tue, 09 Nov 1999 10:02:40 +0800

Hello,

I am new to the Radius protocol .
After reading the RFC 2138, I have some questions about it.
Can anyone help me or tell me where to find more information about these
questions ?

1. When will the Radius server decide to send Access-Challenge to
challenge the user ?
2. How many times can the Radius server challenge the user ?
3. How does the Radius server get the  challenge (16 octetes random
number )?
4. Where does the challenge be put in the Access-Challenge packet ?
5. If the PAP is used between the user and the Radius client, how do
they operate with the challenge
    ( can the user still encrypt the challenge with the special devices
such as smart card of software ?
       But PAP does not support to send the response, does it ?)

Thanks a lot !

-
To unsubscribe, email [email-masked]' with
'unsubscribe ietf-radius' in the body of the message.

---

From: "David Mitton" <[email-masked]>
Date: Wed, 10 Nov 1999 10:29:31 -0500

>1. When will the Radius server decide to send Access-Challenge to

When it feels it needs another response from the user to authenticate them.

>2. How many times can the Radius server challenge the user ?

As many times as it needs by it's implementation.  RADIUS does not provide 
a limit.

>4. Where does the challenge be put in the Access-Challenge packet ?

The response to challenges are encoded in the User-Password field, as 
specified in paragraph 5, section 4.4 Access-Challenge

>        But PAP does not support to send the response, does it ?)

PAP merely specifies that the "password" information is not transformed in 
any way by the NAS.  I don't think it cares what kind of information 
(ASCII, binary, etc) is used.  PAP could deal with a challenge issue by 
retrying.
It would clearly be dependent on the PPP client implementation.

         Dave.

>'unsubscribe ietf-radius' in the body of the message.

---------------------------------------------------------------
David Mitton                             ESN: 248-4570
Consulting Engineer, Nortel Networks     978-288-4570 Direct
Carrier Packet Solutions, IP Services    978-288-3030 FAX
Billerica, MA 01821                  [email-masked]
-
To unsubscribe, email [email-masked]' with
'unsubscribe ietf-radius' in the body of the message.